Resources
Contributors
Download PDF of this page
This section describes the API calls available for each resource.
Accounts
Updates vsa list of an existing Nss account.
PUT /accounts/nss/set-vsa-list/{cloudProviderAccountId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
cloudProviderAccountId |
Public Id of Nss account |
true |
string |
|
BodyParameter |
body |
false |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
success |
|
404 |
Nss Account with the given account id does not exist |
No Content |
Consumes
-
application/json
Produces
-
application/json
Updates an existing Azure account.
PUT /accounts/azure/{cloudProviderAccountId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
cloudProviderAccountId |
Public Id of Azure account |
true |
string |
|
BodyParameter |
body |
false |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
success |
|
404 |
Azure Account with the given account id does not exist |
No Content |
Consumes
-
application/json
Produces
-
application/json
Retrieves an Azure account by public Id.
GET /accounts/azure/{cloudProviderAccountId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
cloudProviderAccountId |
Public Id of Azure account |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Deletes an existing account. It is not possible to delete an account that has working environments attached to it.
DELETE /accounts/{cloudProviderAccountId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
cloudProviderAccountId |
Public Id of the account to be deleted |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
404 |
Account with the given account id does not exist |
No Content |
Consumes
-
application/json
Produces
-
application/json
Updates an existing AWS account.
PUT /accounts/aws/{cloudProviderAccountId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
cloudProviderAccountId |
Public Id of AWS account |
true |
string |
|
BodyParameter |
body |
false |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
success |
|
404 |
AWS Account with the given account id does not exist |
No Content |
Consumes
-
application/json
Produces
-
application/json
Retrieves an AWS account by public Id.
GET /accounts/aws/{cloudProviderAccountId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
cloudProviderAccountId |
Public Id of AWS account |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Updates an existing Gcp storage account.
PUT /accounts/gcp/{cloudProviderAccountId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
cloudProviderAccountId |
Public Id of Gcp storage account |
true |
string |
|
BodyParameter |
body |
false |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
success |
|
404 |
Gcp Storage Account with the given account does not exist |
No Content |
Consumes
-
application/json
Produces
-
application/json
Retrieve Gcp Storage account by public Id.
GET /accounts/gcp/{cloudProviderAccountId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
cloudProviderAccountId |
Public Id of Gcp Storage account |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Creates a Nss account.
POST /accounts/nss
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
get aws cloud account id for the given creds.
POST /accounts/aws/validate-creds
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
string |
Consumes
-
application/json
Produces
-
application/json
Create a Gcp Storage account.
POST /accounts/gcp
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Updates an existing Nss account.
PUT /accounts/nss/{cloudProviderAccountId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
cloudProviderAccountId |
Public Id of Nss account |
true |
string |
|
BodyParameter |
body |
false |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
success |
|
404 |
Nss Account with the given account id does not exist |
No Content |
Consumes
-
application/json
Produces
-
application/json
Retrieves an Nss account by public Id.
GET /accounts/nss/{cloudProviderAccountId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
cloudProviderAccountId |
Public Id of Nss account |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Validate an Azure account request.
POST /accounts/azure/validate-creds
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AssociatedSubscription array |
Consumes
-
application/json
Produces
-
application/json
Creates an Azure account.
POST /accounts/azure
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Creates an AWS account.
POST /accounts/aws
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves accounts.
GET /accounts
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
providerType |
false |
enum (AWS, AZURE, GCP, NSS) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
validate gcp account request.
POST /accounts/gcp/validate-creds
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
string |
Consumes
-
application/json
Produces
-
application/json
Retrieves all accounts that are only for cloud (AWS, AZURE, GCP).
GET /accounts/cloud-providers
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
providerType |
false |
enum (AWS, AZURE, GCP) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Anf
Get Azure NetApp Files Volumes summary.
GET /anf/summary
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Create Azure NetApp Files volume.
POST /anf/volume
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
true |
Consumes
-
application/json
Produces
-
application/json
Get Azure NetApp Files Volumes.
GET /anf/volumes
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
ANFVolumeResponse array |
Consumes
-
application/json
Produces
-
application/json
Delete Azure NetApp Files volume.
DELETE /anf/volume/{subscription}/{resourceGroup}/{account}/{pool}/{volume}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
subscription |
true |
string |
||
PathParameter |
resourceGroup |
true |
string |
||
PathParameter |
account |
true |
string |
||
PathParameter |
pool |
true |
string |
||
PathParameter |
volume |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Get Azure NetApp Files data for creation.
GET /anf/data-creation
Consumes
-
application/json
Produces
-
application/json
Audit
Retrieves the audit group entry for the specific request ID.
GET /audit/{requestId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
requestId |
Retrieve audit group entries for this request ID |
true |
string |
|
QueryParameter |
records |
with records |
false |
boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AuditGroupSummary array |
Consumes
-
application/json
Produces
-
application/json
Retrieves audit group entries optionally filtered by query parameters.
GET /audit
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
limit |
Limit entries to specific amount |
false |
integer (int32) |
|
QueryParameter |
after |
Filter entries after specific date |
false |
integer (int64) |
|
QueryParameter |
workingEnvironmentId |
Filter entries by working environment public ID |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AuditGroupSummary array |
Consumes
-
application/json
Produces
-
application/json
Retrieve active task for this request ID.
GET /audit/activeTask/{requestId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
requestId |
request ID |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves audit record for given request id for local UI.
GET /audit/local/audit/{accountId}/{service}/{requestId}/records
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
requestId |
request ID |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves audit groups and group records optionally filtered by query parameters.
GET /audit/auditserver
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AuditGroupSummary array |
Consumes
-
application/json
Produces
-
application/json
Retrieves audit group entries optionally filtered by query parameters for local UI.
GET /audit/local/audit/{accountId}
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves timeline filter options for local UI.
GET /audit/local/audit/{accountId}/options
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Aws-ha:aggregates
Creates a new aggregate
POST /aws/ha/aggregates
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Create Aggregate Request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves aggregates
GET /aws/ha/aggregates
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
workingEnvironmentId |
Public Id of working environment |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AggregateResponse array |
Consumes
-
application/json
Produces
-
application/json
Deletes an existing aggregate
DELETE /aws/ha/aggregates/{workingEnvironmentId}/{aggregateName}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
PathParameter |
aggregateName |
Name of aggregate to be deleted |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Adds disks to an existing aggregate
POST /aws/ha/aggregates/{workingEnvironmentId}/{aggregateName}/disks
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
PathParameter |
aggregateName |
Name of aggregate to be updated |
true |
string |
|
BodyParameter |
body |
Add disk to aggregate request |
true |
Consumes
-
application/json
Produces
-
application/json
Aws-ha:discovery
Retrieves a list of discovered working environments visible to the current user in the specified AWS region.
GET /aws/ha/discovery/discover
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
Region to discover working environments |
true |
string |
|
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
DiscoveredAwsHaResponse array |
Consumes
-
application/json
Produces
-
application/json
Saves a previously discovered Cloud Volumes ONTAP working environment to the Cloud Manager database.
POST /aws/ha/discovery/recover
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Working environment |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Aws-ha:encryption
Updates the key manager CA certificate on the Cloud Volumes ONTAP system
POST /aws/ha/encryption/{workingEnvironmentId}/update-key-manager-ca-certificate
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Update Cloud Volumes ONTAP key manager CA certificate request parameters |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Updates the client certificate on the Cloud Volumes ONTAP system
POST /aws/ha/encryption/{workingEnvironmentId}/update-client-certificate
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Adds a key manager to the Cloud Volumes ONTAP system
POST /aws/ha/encryption/{workingEnvironmentId}/key-managers/{keyManagerIp}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
PathParameter |
keyManagerIp |
Key manager IP address |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Deletes a key manager from the Cloud Volumes ONTAP system
DELETE /aws/ha/encryption/{workingEnvironmentId}/key-managers/{keyManagerIp}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
PathParameter |
keyManagerIp |
Key manager IP address |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Aws-ha:metadata
Retrieves packages configuration
GET /aws/ha/metadata/packages
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
PackageInfoResponse array |
Consumes
-
application/json
Produces
-
application/json
Validates the current user is subscribed to Cloud Volumes ONTAP product in Amazon marketplace
POST /aws/ha/metadata/validate-subscribed-to-ontap-cloud
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Validate subscribed to Cloud Volumes ONTAP request |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves all the Tag names
GET /aws/ha/metadata/tag-keys
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
roleArn |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
TagKeyResponse array |
Consumes
-
application/json
Produces
-
application/json
Retrieves supported EBS volume types
GET /aws/ha/metadata/ebs-volume-types
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
EbsVolumeType array |
Consumes
-
application/json
Produces
-
application/json
Retrieve S3 buckets summary
GET /aws/ha/metadata/s3-summary
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves instance types not supporting acceleration and capacity tiering
GET /aws/ha/metadata/instance-types-not-supporting-acceleration-and-capacity-tiering
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
InstanceTypesNotSupportingAccelerationAndCapacityTieringResponse |
Consumes
-
application/json
Produces
-
application/json
Retrieves AWS user Key Pairs for specific region
GET /aws/ha/metadata/key-pairs
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
roleArn |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
string array |
Consumes
-
application/json
Produces
-
application/json
Validate HA floating IPs.
POST /aws/ha/metadata/validate-floating-ips
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Validate HA floating IPs request |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves all Cloud Volumes ONTAP configurations.
GET /aws/ha/metadata/permutations
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
Filter by region |
false |
string |
|
QueryParameter |
version |
Filter by version |
false |
string |
|
QueryParameter |
license |
Filter by license |
false |
string |
|
QueryParameter |
instance_type |
Filter by instance type |
false |
string |
|
QueryParameter |
default_instance_type |
Filter by default instance type |
false |
string |
|
QueryParameter |
feature |
Filter by feature |
false |
string |
|
QueryParameter |
latest_only |
Filter latest only |
false |
string |
|
QueryParameter |
ami |
Filter by ami id |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Configuration array |
Consumes
-
application/json
Produces
-
application/json
Retrieves supported capacity tiers for EBS volume types
GET /aws/ha/metadata/supported-capacity-tiers
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
ontapVersion |
true |
string |
||
QueryParameter |
dataEncryptionType |
true |
string |
||
QueryParameter |
licenseType |
true |
string |
||
QueryParameter |
instanceType |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieve all S3 buckets
GET /aws/ha/metadata/buckets
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
tagsRequired |
false |
boolean |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
S3BucketInfo array |
Consumes
-
application/json
Produces
-
application/json
Retrieves all Cloud Manager manifests. Refer to the API Developers Guide in order to understand how to extract valid region codes, license types, instance types and Cloud Volumes ONTAP version parameters for the creation of a Cloud Volumes ONTAP working environment.
GET /aws/ha/metadata/manifests
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves supported features
GET /aws/ha/metadata/supported-features
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
ontapVersion |
true |
string |
||
QueryParameter |
dataEncryptionType |
true |
string |
||
QueryParameter |
licenseType |
true |
string |
||
QueryParameter |
instanceType |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Create new S3 bucket
POST /aws/ha/metadata/create-bucket
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
bucketName |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Retrieves AWS instance profiles
GET /aws/ha/metadata/instance-profiles
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
roleArn |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
InstanceProfileResponse array |
Consumes
-
application/json
Produces
-
application/json
Retrieve S3 buckets policy status and tiering level
POST /aws/ha/metadata/get-buckets-application-info
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Request for retrieving Buckets Additional info |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
BucketAdditionalData array |
Consumes
-
application/json
Produces
-
application/json
Retrieves AWS regions over which an Cloud Volumes ONTAP working environment may be created
GET /aws/ha/metadata/regions
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Region array |
Consumes
-
application/json
Produces
-
application/json
Retrieves route tables per vpc and their subnet associations.
GET /aws/ha/metadata/route-tables
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
vpcId |
true |
string |
||
QueryParameter |
roleArn |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
RouteTableResponse array |
Consumes
-
application/json
Produces
-
application/json
Retrieve all S3 buckets with additional info
GET /aws/ha/metadata/get-buckets-details
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves AWS encryption keys for specific region
GET /aws/ha/metadata/aws-encryption-keys
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
roleArn |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AwsEncryptionKey array |
Consumes
-
application/json
Produces
-
application/json
Retrieves default snapshot policies available on a cluster
GET /aws/ha/metadata/default-snapshot-policies
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
SnapshotPolicy array |
Consumes
-
application/json
Produces
-
application/json
Retrieves AWS user Key Pairs for all regions
GET /aws/ha/metadata/key-pairs-by-region
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
roleArn |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves the minimum number of required IPs for a single Cloud Volumes ONTAP system, an HA node, and HA mediator
GET /aws/ha/metadata/network-requirements
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves VPCs
GET /aws/ha/metadata/vpcs
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
roleArn |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
VpcExtendedResponse array |
Consumes
-
application/json
Produces
-
application/json
Aws-ha:volumes
Get all igroups.
GET /aws/ha/volumes/igroups/{workingEnvironmentId}/{svmName}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
IGroup array |
Consumes
-
application/json
Produces
-
application/json
Return a list of snapshot descriptions for the volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
GET /aws/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/snapshots
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
SnapshotResponse array |
Consumes
-
application/json
Produces
-
application/json
Add ISCSI initiator.
POST /aws/ha/volumes/initiator
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
ISCSI initiator request |
true |
Consumes
-
application/json
Produces
-
application/json
Get all ISCSI initiators.
GET /aws/ha/volumes/initiator
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
InitiatorEntry array |
Consumes
-
application/json
Produces
-
application/json
Create snapshot manually.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /aws/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/snapshot
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
||
BodyParameter |
body |
Create snapshot request |
true |
Consumes
-
application/json
Produces
-
application/json
Delete snapshot manually.Operation may only be performed on working environments whose status is: ON, DEGRADED
DELETE /aws/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/snapshot
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
||
BodyParameter |
body |
Create snapshot request |
true |
Consumes
-
application/json
Produces
-
application/json
Move an existing volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /aws/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/move
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
||
BodyParameter |
body |
true |
Consumes
-
application/json
Produces
-
application/json
Clones an existing volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /aws/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/clone
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
||
BodyParameter |
body |
true |
Consumes
-
application/json
Produces
-
application/json
Quotes a new volume. Returns a resource quote needed to satisfy the requested volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /aws/ha/volumes/quote
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Quote volume request |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Change underlying volume tier.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /aws/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/change-tier
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
||
BodyParameter |
body |
true |
Consumes
-
application/json
Produces
-
application/json
Modify an existing volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
PUT /aws/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
ref |
||
BodyParameter |
body |
Modify volume request |
true |
Consumes
-
application/json
Produces
-
application/json
Deletes an existing volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
DELETE /aws/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Creates a new volume. If the properties aggregateName and maxNumOfDisksApprovedToAdd are not filled in, then the response will fail with a suggested aggregate name and the number of disks that will need to be created in order to fulfill the request.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /aws/ha/volumes
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
createAggregateIfNotFound |
On create volume request, allow creating not-found aggregate |
false |
boolean |
|
BodyParameter |
body |
Create volume request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves volumes.Operation may only be performed on working environments whose status is: ON, DEGRADED
GET /aws/ha/volumes
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
workingEnvironmentId |
Filter volumes by this working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
VolumeResponse array |
Consumes
-
application/json
Produces
-
application/json
Retrieves volumes for Backup Activation.Operation may only be performed on working environments whose status is: ON, DEGRADED
GET /aws/ha/volumes/volumes-for-backup
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
workingEnvironmentId |
Filter volumes by this working environment |
true |
string |
|
QueryParameter |
offset |
offset |
false |
integer (int32) |
|
QueryParameter |
limit |
limit |
false |
integer (int32) |
|
QueryParameter |
search |
search |
false |
string |
|
QueryParameter |
filterBy |
filterBy should be of the form field:value. For multiple filters use comma separator. |
false |
ref |
|
QueryParameter |
sortBy |
sortBy should be of the form field:Asc or field:Desc. For multiple sorting use comma separator. |
false |
ref |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Aws-ha:working-environments
Activate FPolicy for ransomeware files
PUT /aws/ha/working-environments/{workingEnvironmentId}/activate-fpolicy
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Disable FPolicy for ransomeware files
PUT /aws/ha/working-environments/{workingEnvironmentId}/disable-fpolicy
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Uploads a Cloud license file content on the provided Cloud Volumes ONTAP
POST /aws/ha/working-environments/{workingEnvironmentId}/upload-licenses
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
license file content request |
true |
Consumes
-
application/json
Produces
-
application/json
Update extra capacity license
PUT /aws/ha/working-environments/{workingEnvironmentId}/extra-capacity-licenses
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
extra capacity license(s) |
true |
Consumes
-
application/json
Produces
-
application/json
Register extra capacity license
POST /aws/ha/working-environments/{workingEnvironmentId}/extra-capacity-licenses
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
extra capacity licenses(s) |
true |
Consumes
-
application/json
Produces
-
application/json
Get extra capacity licenses for cvo
GET /aws/ha/working-environments/{workingEnvironmentId}/extra-capacity-licenses
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Change tier level
POST /aws/ha/working-environments/{workingEnvironmentId}/change-tier-level
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Change tier level request |
true |
Consumes
-
application/json
Produces
-
application/json
Set schedules for Cloud Volumes ONTAP
PUT /aws/ha/working-environments/{workingEnvironmentId}/schedules
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Cloud Volumes ONTAP working environment update schedule request |
true |
Consumes
-
application/json
Produces
-
application/json
List start-stop schedules for Cloud Volumes ONTAP
GET /aws/ha/working-environments/{workingEnvironmentId}/schedules
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
VsaSchedule array |
Consumes
-
application/json
Produces
-
application/json
Stops a specific Cloud Volumes ONTAP instance
POST /aws/ha/working-environments/{workingEnvironmentId}/stop
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
takeSnapshots |
Take snapshots before stopping Cloud Volumes ONTAP |
true |
boolean |
true |
Consumes
-
application/json
Produces
-
application/json
Enable capacity tiering
POST /aws/ha/working-environments/{workingEnvironmentId}/enable-capacity-tiering
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Enable capacity tiering request |
false |
Consumes
-
application/json
Produces
-
application/json
Modify user tags for cloud resources of a given Cloud Volumes ONTAP instance
PUT /aws/ha/working-environments/{workingEnvironmentId}/user-tags
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Modify user tags request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves editable tags for cloud resources of a given Cloud Volumes ONTAP instance
GET /aws/ha/working-environments/{workingEnvironmentId}/user-tags
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Parses an uploaded Cloud license file
POST /aws/ha/working-environments/parse-license-file
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
HeaderParameter |
filename |
Cloud license file name |
false |
string |
|
BodyParameter |
license |
license |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
multipart/form-data
Produces
-
application/json
Create snapshot policy
POST /aws/ha/working-environments/{workingEnvironmentId}/snapshot-policy
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
BodyParameter |
body |
Create snapshot policy request |
true |
Consumes
-
application/json
Produces
-
application/json
Setup a new CIFS using workgroup configuration to an existing Cloud Volumes ONTAP working environment
POST /aws/ha/working-environments/{workingEnvironmentId}/cifs-workgroup
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
CIFS Configuration request |
true |
Consumes
-
application/json
Produces
-
application/json
Updates the route tables of an HA Cloud Volumes ONTAP working environment.Operation may only be performed on working environments whose status is: ON, DEGRADED
PUT /aws/ha/working-environments/{workingEnvironmentId}/route-tables
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
BodyParameter |
body |
true |
Consumes
-
application/json
Produces
-
application/json
Starts a specific Cloud Volumes ONTAP instance
POST /aws/ha/working-environments/{workingEnvironmentId}/start
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Sets the cluster password of a specific Cloud Volumes ONTAP
PUT /aws/ha/working-environments/{workingEnvironmentId}/set-password
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
occmOnly |
false |
boolean |
||
BodyParameter |
body |
Set password request |
true |
Consumes
-
application/json
Produces
-
application/json
Checks for the presence of non-persistent locks held on CIFs Sessions.
GET /aws/ha/working-environments/{workingEnvironmentId}/cifs-locks-exist
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
boolean |
Consumes
-
application/json
Produces
-
application/json
Setup NTP server
POST /aws/ha/working-environments/{workingEnvironmentId}/ntp
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
NTP Configuration request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves a list of versions to which this Cloud Volumes ONTAP can be upgraded
GET /aws/ha/working-environments/{workingEnvironmentId}/occm-provided-upgrade-versions
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
OntapUpdateImageMetadata array |
Consumes
-
application/json
Produces
-
application/json
Activate snapshot policy assignment to all not protected rw volumes
PUT /aws/ha/working-environments/{workingEnvironmentId}/activate-snapshot-policy
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Updates mediator of the specified Cloud Volumes ONTAP with the given version.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /aws/ha/working-environments/{workingEnvironmentId}/update-mediator
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Retrieves eligibility support status of a Cloud Volumes ONTAP system. Valid values - NSS_NOT_VALID, NOT_REGISTERED, IPA_PROBLEM, VALID, NSS_NOT_EXISTS, LICENSE_EXPIRED
GET /aws/ha/working-environments/{workingEnvironmentId}/update-eligibility
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
success |
|
400 |
Working Environment must be ON or UPDATING in order to check eligibility |
No Content |
Consumes
-
application/json
Produces
-
application/json
Working Environment Cost And Usage
GET /aws/ha/working-environments/{workingEnvironmentId}/cost-and-usage
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
start |
cost and usage start period |
false |
string |
|
QueryParameter |
end |
cost and usage end period |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Activate offbox configuration
PUT /aws/ha/working-environments/{workingEnvironmentId}/offbox
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Sets the writing speed for Cloud Volumes ONTAP
PUT /aws/ha/working-environments/{workingEnvironmentId}/writing-speed
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Writing speed request |
true |
Consumes
-
application/json
Produces
-
application/json
Performs a complete image update operation on the single node of the specified Cloud Volumes ONTAP
POST /aws/ha/working-environments/{workingEnvironmentId}/update-image
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Update system image request |
true |
Consumes
-
application/json
Produces
-
application/json
Manually triggers subscription sync for all Cloud Volumes ONTAP working environments
POST /aws/ha/working-environments/sync-subscription
Consumes
-
application/json
Produces
-
application/json
Delete CIFS Configuration of an existing Cloud Volumes ONTAP working environment
POST /aws/ha/working-environments/{workingEnvironmentId}/delete-cifs
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
CIFS Configuration request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves an HA Cloud Volumes ONTAP working environment.
GET /aws/ha/working-environments/{workingEnvironmentId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
fields |
false |
string |
||
PathParameter |
workingEnvironmentId |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Deletes an existing Cloud Volumes ONTAP working environment, including all Cloud resources created for this working environment (unless the localDelete flag is set to true)
DELETE /aws/ha/working-environments/{workingEnvironmentId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
localDelete |
If true, the Cloud Volumes ONTAP instance is not terminated in Cloud, but Cloud Manager no longer manages the working environment. |
false |
boolean |
false |
QueryParameter |
forceDelete |
If true, the working environment will be deleted even if it is part of one or more SnapMirror relationships. |
false |
boolean |
false |
Consumes
-
application/json
Produces
-
application/json
Delete FPolicy for ransomeware files
DELETE /aws/ha/working-environments/{workingEnvironmentId}/fpolicy
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Updates Cloud Manager password of a specific Cloud Volumes ONTAP
PUT /aws/ha/working-environments/{workingEnvironmentId}/update-credentials
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Update Cloud Manager password request |
true |
Consumes
-
application/json
Produces
-
application/json
Setup a new CIFS Configuration to an existing Cloud Volumes ONTAP working environment
POST /aws/ha/working-environments/{workingEnvironmentId}/cifs
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
CIFS Configuration request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves CIFS Configuration to an existing Cloud Volumes ONTAP working environment
GET /aws/ha/working-environments/{workingEnvironmentId}/cifs
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
svm |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Working Environment Ontap Saving
GET /aws/ha/working-environments/{workingEnvironmentId}/ontap-saving
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Registers a Cloud Volumes ONTAP system with NetApp
POST /aws/ha/working-environments/{workingEnvironmentId}/support-registration
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
nssAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves the support registration status of a Cloud Volumes ONTAP system
GET /aws/ha/working-environments/{workingEnvironmentId}/support-registration
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Change serial number of Cloud Volumes ONTAP
POST /aws/ha/working-environments/{workingEnvironmentId}/change-serial
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Change serial number request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves images already installed on the Cloud Volumes ONTAP
GET /aws/ha/working-environments/{workingEnvironmentId}/ontap-available-images
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
UpdateLocalImage array |
Consumes
-
application/json
Produces
-
application/json
Retrieves action parameters used in create request of a given Cloud Volumes ONTAP instance
GET /aws/ha/working-environments/{workingEnvironmentId}/create-request-parameters
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Update extra capacity serials
PUT /aws/ha/working-environments/{workingEnvironmentId}/extra-capacity-serials
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
extra capacity serial(s) |
true |
Consumes
-
application/json
Produces
-
application/json
Register extra capacity serials
POST /aws/ha/working-environments/{workingEnvironmentId}/extra-capacity-serials
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
licenses serial(s) |
true |
Consumes
-
application/json
Produces
-
application/json
Delete extra capacity licenses by serials
DELETE /aws/ha/working-environments/{workingEnvironmentId}/extra-capacity-serials
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
extra capacity serial(s) |
true |
Consumes
-
application/json
Produces
-
application/json
Uploads a Cloud license file on the provided Cloud Volumes ONTAP
POST /aws/ha/working-environments/{workingEnvironmentId}/upload-license-file
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
HeaderParameter |
filename |
Cloud license file name |
false |
string |
|
BodyParameter |
license |
license |
false |
string |
Consumes
-
multipart/form-data
Produces
-
application/json
Modify the svm name of the Cloud Volumes ONTAP
PUT /aws/ha/working-environments/{workingEnvironmentId}/svm
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Svm name modification request |
true |
Consumes
-
application/json
Produces
-
application/json
Sets the instance type of a specific Cloud Volumes ONTAP
PUT /aws/ha/working-environments/{workingEnvironmentId}/license-instance-type
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Instance type modification request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves all license types and their associated instance types for a given Cloud Volumes ONTAP instance
GET /aws/ha/working-environments/{workingEnvironmentId}/license-instance-type
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
LicenseAndInstanceType array |
Consumes
-
application/json
Produces
-
application/json
Creates a new AWS HA Cloud Volumes ONTAP working environment.
POST /aws/ha/working-environments
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Working environment |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Modify the net port broadcast domain mtu of the Cloud Volumes ONTAP
PUT /aws/ha/working-environments/{workingEnvironmentId}/networkOptimization
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Use optimization |
true |
Consumes
-
application/json
Produces
-
application/json
Azure-ha:aggregates
Creates a new aggregate
POST /azure/ha/aggregates
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Create Aggregate Request |
true |
Consumes
-
application/json
Produces
-
application/json
Deletes an existing aggregate
DELETE /azure/ha/aggregates/{workingEnvironmentId}/{aggregateName}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
PathParameter |
aggregateName |
Name of aggregate to be deleted |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Adds disks to an existing aggregate
POST /azure/ha/aggregates/{workingEnvironmentId}/{aggregateName}/disks
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
PathParameter |
aggregateName |
Name of aggregate to be updated |
true |
string |
|
BodyParameter |
body |
Add disk to aggregate request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves aggregates
GET /azure/ha/aggregates/{workingEnvironmentId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AggregateResponse array |
Consumes
-
application/json
Produces
-
application/json
Azure-ha:discovery
Retrieves a list of discovered working environments visible to the current user in the specified Azure region.
GET /azure/ha/discovery/discover
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
Region to discover working environments |
true |
string |
|
QueryParameter |
subscriptionId |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Saves a previously discovered Cloud Volumes ONTAP working environment to the Cloud Manager database.
POST /azure/ha/discovery/recover
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Working environment |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Azure-ha:metadata
Retrieves the minimum number of required IPs for a Cloud Volumes ONTAP system
GET /azure/ha/metadata/network-requirements
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves default snapshot policies available on a cluster
GET /azure/ha/metadata/default-snapshot-policies
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
SnapshotPolicy array |
Consumes
-
application/json
Produces
-
application/json
Retrieves supported Azure storage account types
GET /azure/ha/metadata/storage-account-types
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Create new blob container
POST /azure/ha/metadata/create-container
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Create blob container request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves Azure resource groups by region
GET /azure/ha/metadata/resource-groups
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
subscriptionId |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves Azure regions over which an Cloud Volumes ONTAP working environment may be created
GET /azure/ha/metadata/regions
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
fields |
false |
string |
||
QueryParameter |
subscriptionId |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AzureRegionResponse array |
Consumes
-
application/json
Produces
-
application/json
Validates the current user is subscribed to Cloud Volumes ONTAP product in Azure marketplace
POST /azure/ha/metadata/validate-subscribed-to-ontap-cloud
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Validate subscribed to Cloud Volumes ONTAP request |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieve all keys in a vault
GET /azure/ha/metadata/keys-vault
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
subscriptionId |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
||
QueryParameter |
resourceGroupName |
true |
string |
||
QueryParameter |
vaultName |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AzureKey array |
Consumes
-
application/json
Produces
-
application/json
Retrieves associated subscriptions
GET /azure/ha/metadata/associated-subscriptions
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AssociatedSubscription array |
Consumes
-
application/json
Produces
-
application/json
Retrieves supported capacity tiers for Azure disk types
GET /azure/ha/metadata/supported-capacity-tiers
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
ontapVersion |
true |
string |
||
QueryParameter |
dataEncryptionType |
true |
string |
||
QueryParameter |
licenseType |
true |
string |
||
QueryParameter |
instanceType |
true |
string |
||
QueryParameter |
subscriptionId |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieve all vaults
GET /azure/ha/metadata/vaults
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
subscriptionId |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
||
QueryParameter |
region |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AzureKeyVault array |
Consumes
-
application/json
Produces
-
application/json
Retrieves all the Tag names
GET /azure/ha/metadata/tag-keys
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
subscriptionId |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
TagKeyResponse array |
Consumes
-
application/json
Produces
-
application/json
Retrieve all blob containers
GET /azure/ha/metadata/containers
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
subscriptionId |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
||
QueryParameter |
resourceGroupName |
true |
string |
||
QueryParameter |
storageAccountName |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
AzureBlobContainer array |
Consumes
-
application/json
Produces
-
application/json
Retrieves all ONTAP Cloud configurations.
GET /azure/ha/metadata/permutations
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
Filter by region |
false |
string |
|
QueryParameter |
version |
Filter by version |
false |
string |
|
QueryParameter |
license |
Filter by license |
false |
string |
|
QueryParameter |
instance_type |
Filter by instance type |
false |
string |
|
QueryParameter |
default_instance_type |
Filter by default instance type |
false |
string |
|
QueryParameter |
feature |
Filter by feature |
false |
string |
|
QueryParameter |
latest_only |
Filter latest only |
false |
string |
|
QueryParameter |
marketplace_version |
Filter by marketplace version |
false |
string |
|
QueryParameter |
marketplace_sku |
Filter by marketplace sku |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Configuration array |
Consumes
-
application/json
Produces
-
application/json
Retrieves packages configuration
GET /azure/ha/metadata/packages
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
PackageInfoResponse array |
Consumes
-
application/json
Produces
-
application/json
Retrieves Azure availability zones by region
GET /azure/ha/metadata/availability-zones
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
subscriptionId |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves instance types not supporting acceleration and capacity tiering
GET /azure/ha/metadata/instance-types-not-supporting-acceleration-and-capacity-tiering
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
InstanceTypesNotSupportingAccelerationAndCapacityTieringResponse |
Consumes
-
application/json
Produces
-
application/json
Retrieves Network Extended Info
GET /azure/ha/metadata/vnets
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
subscriptionId |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves supported features
GET /azure/ha/metadata/supported-features
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
region |
true |
string |
||
QueryParameter |
ontapVersion |
true |
string |
||
QueryParameter |
dataEncryptionType |
true |
string |
||
QueryParameter |
licenseType |
true |
string |
||
QueryParameter |
instanceType |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Azure-ha:volumes
Add ISCSI initiator.
POST /azure/ha/volumes/initiator
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
ISCSI initiator request |
true |
Consumes
-
application/json
Produces
-
application/json
Get all ISCSI initiators.
GET /azure/ha/volumes/initiator
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
InitiatorEntry array |
Consumes
-
application/json
Produces
-
application/json
Create snapshot manually.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /azure/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/snapshot
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
||
BodyParameter |
body |
Create snapshot request |
true |
Consumes
-
application/json
Produces
-
application/json
Delete snapshot manually.Operation may only be performed on working environments whose status is: ON, DEGRADED
DELETE /azure/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/snapshot
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
||
BodyParameter |
body |
Create snapshot request |
true |
Consumes
-
application/json
Produces
-
application/json
Creates a new volume. If the properties aggregateName and maxNumOfDisksApprovedToAdd are not filled in, then the response will fail with a suggested aggregate name and the number of disks that will need to be created in order to fulfill the request.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /azure/ha/volumes
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
createAggregateIfNotFound |
On create volume request, allow creating not-found aggregate |
false |
boolean |
|
BodyParameter |
body |
Create volume request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves volumes.Operation may only be performed on working environments whose status is: ON, DEGRADED
GET /azure/ha/volumes
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
workingEnvironmentId |
Filter volumes by this working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
VolumeResponse array |
Consumes
-
application/json
Produces
-
application/json
Change underlying volume tier.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /azure/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/change-tier
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
||
BodyParameter |
body |
true |
Consumes
-
application/json
Produces
-
application/json
Quotes a new volume. Returns a resource quote needed to satisfy the requested volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /azure/ha/volumes/quote
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Quote volume request |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Get all igroups.
GET /azure/ha/volumes/igroups/{workingEnvironmentId}/{svmName}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
IGroup array |
Consumes
-
application/json
Produces
-
application/json
Retrieves volumes for Backup Activation.Operation may only be performed on working environments whose status is: ON, DEGRADED
GET /azure/ha/volumes/volumes-for-backup
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
workingEnvironmentId |
Filter volumes by this working environment |
true |
string |
|
QueryParameter |
offset |
offset |
false |
integer (int32) |
|
QueryParameter |
limit |
limit |
false |
integer (int32) |
|
QueryParameter |
search |
search |
false |
string |
|
QueryParameter |
filterBy |
filterBy should be of the form field:value. For multiple filters use comma separator. |
false |
ref |
|
QueryParameter |
sortBy |
sortBy should be of the form field:Asc or field:Desc. For multiple sorting use comma separator. |
false |
ref |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Modify an existing volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
PUT /azure/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
ref |
||
BodyParameter |
body |
Modify volume request |
true |
Consumes
-
application/json
Produces
-
application/json
Deletes an existing volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
DELETE /azure/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Return a list of snapshot descriptions for the volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
GET /azure/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/snapshots
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
SnapshotResponse array |
Consumes
-
application/json
Produces
-
application/json
Clones an existing volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /azure/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/clone
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
||
BodyParameter |
body |
true |
Consumes
-
application/json
Produces
-
application/json
Move an existing volume.Operation may only be performed on working environments whose status is: ON, DEGRADED
POST /azure/ha/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/move
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
PathParameter |
svmName |
true |
string |
||
PathParameter |
volumeName |
true |
string |
||
BodyParameter |
body |
true |
Consumes
-
application/json
Produces
-
application/json
Azure-ha:working-environments
Change serial number of Cloud Volumes ONTAP
POST /azure/ha/working-environments/{workingEnvironmentId}/change-serial
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Change serial number request |
true |
Consumes
-
application/json
Produces
-
application/json
Manually triggers subscription sync for all Cloud Volumes ONTAP working environments
POST /azure/ha/working-environments/sync-subscription
Consumes
-
application/json
Produces
-
application/json
Delete CIFS Configuration of an existing Cloud Volumes ONTAP working environment
POST /azure/ha/working-environments/{workingEnvironmentId}/delete-cifs
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
CIFS Configuration request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves images already installed on the Cloud Volumes ONTAP
GET /azure/ha/working-environments/{workingEnvironmentId}/ontap-available-images
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
UpdateLocalImage array |
Consumes
-
application/json
Produces
-
application/json
Retrieves a list of versions to which this Cloud Volumes ONTAP can be upgraded
GET /azure/ha/working-environments/{workingEnvironmentId}/occm-provided-upgrade-versions
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
OntapUpdateImageMetadata array |
Consumes
-
application/json
Produces
-
application/json
Change tier level
POST /azure/ha/working-environments/{workingEnvironmentId}/change-tier-level
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Change tier level request |
true |
Consumes
-
application/json
Produces
-
application/json
Setup a new CIFS Configuration to an existing Cloud Volumes ONTAP working environment
POST /azure/ha/working-environments/{workingEnvironmentId}/cifs
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
CIFS Configuration request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves CIFS Configuration to an existing Cloud Volumes ONTAP working environment
GET /azure/ha/working-environments/{workingEnvironmentId}/cifs
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
svm |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Performs a complete image update operation on the single node of the specified Cloud Volumes ONTAP
POST /azure/ha/working-environments/{workingEnvironmentId}/update-image
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Update system image request |
true |
Consumes
-
application/json
Produces
-
application/json
Checks for the presence of non-persistent locks held on CIFs Sessions.
GET /azure/ha/working-environments/{workingEnvironmentId}/cifs-locks-exist
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
boolean |
Consumes
-
application/json
Produces
-
application/json
Starts a specific Cloud Volumes ONTAP instance
POST /azure/ha/working-environments/{workingEnvironmentId}/start
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Retrieves action parameters used in create request of a given Cloud Volumes ONTAP instance
GET /azure/ha/working-environments/{workingEnvironmentId}/create-request-parameters
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Sets the instance type of a specific Cloud Volumes ONTAP
PUT /azure/ha/working-environments/{workingEnvironmentId}/license-instance-type
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Instance type modification request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves all license types and their associated instance types for a given Cloud Volumes ONTAP instance
GET /azure/ha/working-environments/{workingEnvironmentId}/license-instance-type
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
LicenseAndInstanceType array |
Consumes
-
application/json
Produces
-
application/json
Updates Cloud Manager password of a specific Cloud Volumes ONTAP
PUT /azure/ha/working-environments/{workingEnvironmentId}/update-credentials
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Update Cloud Manager password request |
true |
Consumes
-
application/json
Produces
-
application/json
Returns true if a resource group with that name already exists, false otherwise
GET /azure/ha/working-environments/resource-group-exists/{resourceGroupName}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
resourceGroupName |
resource group name |
true |
string |
|
QueryParameter |
subscriptionId |
false |
string |
||
QueryParameter |
cloudProviderAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
boolean |
Consumes
-
application/json
Produces
-
application/json
Stops a specific Cloud Volumes ONTAP instance
POST /azure/ha/working-environments/{workingEnvironmentId}/stop
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
takeSnapshots |
Take snapshots before stopping Cloud Volumes ONTAP |
true |
boolean |
true |
Consumes
-
application/json
Produces
-
application/json
Disable FPolicy for ransomeware files
PUT /azure/ha/working-environments/{workingEnvironmentId}/disable-fpolicy
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Working Environment Ontap Saving
GET /azure/ha/working-environments/{workingEnvironmentId}/ontap-saving
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Parses an uploaded Cloud license file
POST /azure/ha/working-environments/parse-license-file
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
HeaderParameter |
filename |
Cloud license file name |
false |
string |
|
BodyParameter |
license |
license |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
multipart/form-data
Produces
-
application/json
Activate snapshot policy assignment to all not protected rw volumes
PUT /azure/ha/working-environments/{workingEnvironmentId}/activate-snapshot-policy
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Setup NTP server
POST /azure/ha/working-environments/{workingEnvironmentId}/ntp
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
NTP Configuration request |
true |
Consumes
-
application/json
Produces
-
application/json
Sets the cluster password of a specific Cloud Volumes ONTAP
PUT /azure/ha/working-environments/{workingEnvironmentId}/set-password
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
occmOnly |
false |
boolean |
||
BodyParameter |
body |
Set password request |
true |
Consumes
-
application/json
Produces
-
application/json
Enable capacity tiering
POST /azure/ha/working-environments/{workingEnvironmentId}/enable-capacity-tiering
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Enable capacity tiering request |
false |
Consumes
-
application/json
Produces
-
application/json
Sets the writing speed for Cloud Volumes ONTAP
PUT /azure/ha/working-environments/{workingEnvironmentId}/writing-speed
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Writing speed request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves eligibility support status of a Cloud Volumes ONTAP system. Valid values - NSS_NOT_VALID, NOT_REGISTERED, IPA_PROBLEM, VALID, NSS_NOT_EXISTS, LICENSE_EXPIRED
GET /azure/ha/working-environments/{workingEnvironmentId}/update-eligibility
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
200 |
success |
|
400 |
Working Environment must be ON or UPDATING in order to check eligibility |
No Content |
Consumes
-
application/json
Produces
-
application/json
Create snapshot policy
POST /azure/ha/working-environments/{workingEnvironmentId}/snapshot-policy
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
||
BodyParameter |
body |
Create snapshot policy request |
true |
Consumes
-
application/json
Produces
-
application/json
Modify user tags for cloud resources of a given Cloud Volumes ONTAP instance
PUT /azure/ha/working-environments/{workingEnvironmentId}/user-tags
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Modify user tags request |
true |
Consumes
-
application/json
Produces
-
application/json
Retrieves editable tags for cloud resources of a given Cloud Volumes ONTAP instance
GET /azure/ha/working-environments/{workingEnvironmentId}/user-tags
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Delete FPolicy for ransomeware files
DELETE /azure/ha/working-environments/{workingEnvironmentId}/fpolicy
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Activate FPolicy for ransomeware files
PUT /azure/ha/working-environments/{workingEnvironmentId}/activate-fpolicy
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Creates a new Azure HA Cloud Volumes ONTAP working environment.
POST /azure/ha/working-environments
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
BodyParameter |
body |
Working environment |
true |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves Cloud Volumes ONTAP working environments visible to the currently logged in user
GET /azure/ha/working-environments
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
fields |
false |
string |
||
QueryParameter |
tenantId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Working Environment Cost And Usage
GET /azure/ha/working-environments/{workingEnvironmentId}/cost-and-usage
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
start |
cost and usage start period |
false |
string |
|
QueryParameter |
end |
cost and usage end period |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Setup a new CIFS using workgroup configuration to an existing Cloud Volumes ONTAP working environment
POST /azure/ha/working-environments/{workingEnvironmentId}/cifs-workgroup
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
CIFS Configuration request |
true |
Consumes
-
application/json
Produces
-
application/json
Set schedules for Cloud Volumes ONTAP
PUT /azure/ha/working-environments/{workingEnvironmentId}/schedules
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Cloud Volumes ONTAP working environment update schedule request |
true |
Consumes
-
application/json
Produces
-
application/json
List start-stop schedules for Cloud Volumes ONTAP
GET /azure/ha/working-environments/{workingEnvironmentId}/schedules
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
VsaSchedule array |
Consumes
-
application/json
Produces
-
application/json
Update extra capacity serials
PUT /azure/ha/working-environments/{workingEnvironmentId}/extra-capacity-serials
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
extra capacity serial(s) |
true |
Consumes
-
application/json
Produces
-
application/json
Register extra capacity serials
POST /azure/ha/working-environments/{workingEnvironmentId}/extra-capacity-serials
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
licenses serial(s) |
true |
Consumes
-
application/json
Produces
-
application/json
Delete extra capacity licenses by serials
DELETE /azure/ha/working-environments/{workingEnvironmentId}/extra-capacity-serials
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
extra capacity serial(s) |
true |
Consumes
-
application/json
Produces
-
application/json
Registers a Cloud Volumes ONTAP system with NetApp
POST /azure/ha/working-environments/{workingEnvironmentId}/support-registration
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
nssAccountId |
false |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves the support registration status of a Cloud Volumes ONTAP system
GET /azure/ha/working-environments/{workingEnvironmentId}/support-registration
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves number of available ip addresses in the Cloud Volumes ONTAP working environment’s subnet
GET /azure/ha/working-environments/{workingEnvironmentId}/available-ips-in-subnet
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Retrieves an Cloud Volumes ONTAP working environment
GET /azure/ha/working-environments/{workingEnvironmentId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
QueryParameter |
fields |
false |
string |
||
PathParameter |
workingEnvironmentId |
true |
string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
default |
success |
Consumes
-
application/json
Produces
-
application/json
Deletes an existing Cloud Volumes ONTAP working environment, including all Cloud resources created for this working environment (unless the localDelete flag is set to true)
DELETE /azure/ha/working-environments/{workingEnvironmentId}
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
QueryParameter |
localDelete |
If true, the Cloud Volumes ONTAP instance is not terminated in Cloud, but Cloud Manager no longer manages the working environment. |
false |
boolean |
false |
QueryParameter |
forceDelete |
If true, the working environment will be deleted even if it is part of one or more SnapMirror relationships. |
false |
boolean |
false |
Consumes
-
application/json
Produces
-
application/json
Modify the svm name of the Cloud Volumes ONTAP
PUT /azure/ha/working-environments/{workingEnvironmentId}/svm
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Svm name modification request |
true |
Consumes
-
application/json
Produces
-
application/json
Activate offbox configuration
PUT /azure/ha/working-environments/{workingEnvironmentId}/offbox
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Uploads a Cloud license file content on the provided Cloud Volumes ONTAP
POST /azure/ha/working-environments/{workingEnvironmentId}/upload-licenses
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
license file content request |
true |
Consumes
-
application/json
Produces
-
application/json
Modify the net port broadcast domain mtu of the Cloud Volumes ONTAP
PUT /azure/ha/working-environments/{workingEnvironmentId}/networkOptimization
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
Use optimization |
true |
Consumes
-
application/json
Produces
-
application/json
Update extra capacity license
PUT /azure/ha/working-environments/{workingEnvironmentId}/extra-capacity-licenses
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
extra capacity license(s) |
true |
Consumes
-
application/json
Produces
-
application/json
Register extra capacity license
POST /azure/ha/working-environments/{workingEnvironmentId}/extra-capacity-licenses
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
BodyParameter |
body |
extra capacity licenses(s) |
true |
Consumes
-
application/json
Produces
-
application/json
Get extra capacity licenses for cvo
GET /azure/ha/working-environments/{workingEnvironmentId}/extra-capacity-licenses
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
Consumes
-
application/json
Produces
-
application/json
Uploads a Cloud license file on the provided Cloud Volumes ONTAP
POST /azure/ha/working-environments/{workingEnvironmentId}/upload-license-file
Parameters
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
PathParameter |
workingEnvironmentId |
Public Id of working environment |
true |
string |
|
HeaderParameter |
filename |
Cloud license file name |
false |
string |
|
BodyParameter |
license |
license |
false |
string |
Consumes
-
multipart/form-data
[...]
